#include "E3DObject.h"

namespace HPL {
namespace E3D {

E3DObject::E3DObject() {
	this->m_nSigID = 0;
	this->m_nEventNumber = 0;
	this->m_nOldEventNumber = 0;

	this->m_nShadowSigID = -1;

	this->m_bValid = FALSE;

	this->m_nUpperBoneNumber = -1;
	this->m_nUnderBoneNumber = -1;
	this->m_nWeaponBoneNumber = -1;
	this->m_nWeaponBoneNumber2 = -1;
	this->m_nBaseBoneNumber = -1;
//	this->m_nBaseBoneNumber = -1;
}
E3DObject::~E3DObject() {
}

BOOL E3DObject::get_Valid() {
	return this->m_bValid;
}

void E3DObject::set_Valid( BOOL bValid ) {

	if(bValid == TRUE && this->m_bValid == FALSE ) {
		// FALSEからTRUEに変わった
		// 初期化する

		if(this->m_Game.m_Counter != NULL ) {
			// カウンターリセット
			this->m_Game.m_Counter->reset();
		}
	}
	this->m_bValid = bValid;
}

void E3DObject::reset() {
	this->m_Game.reset();
	this->m_Move.reset();
	this->m_nEventNumber = 0;
	this->m_nUnderEventNumber = -1;
}

} // E3D
} // HPL
